be.fgov.ehealth.standards.kmehr.schema.v1

## Class ItemType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.ItemType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:08:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class ItemType
      extends Object
      implements Serializable

  the item is used to describe atomic medical information.

  Java class for itemType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="itemType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ITEM" maxOccurs="unbounded"/>
               <element name="content" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}contentType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
               <element name="beginmoment" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}momentType" minOccurs="0"/>
               <element name="endmoment" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}momentType" minOccurs="0"/>
               <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="isvalidated" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="lifecycle" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}lifecycleType" minOccurs="0"/>
               <element name="isrelevant" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="severity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}severityType" minOccurs="0"/>
               <element name="certainty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}certaintyType" minOccurs="0"/>
               <element name="temporality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}temporalityType" minOccurs="0"/>
               <element name="urgency" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}urgencyType" minOccurs="0"/>
               <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}quantityType" minOccurs="0"/>
               <element name="strength" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}strengthType" minOccurs="0"/>
               <element name="frequency" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}frequencyType" minOccurs="0"/>
               <element name="site" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}siteType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cost" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}costType" minOccurs="0"/>
               <element name="dayperiod" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dayperiodType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="duration" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}durationType" minOccurs="0"/>
               <element name="posology" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <choice>
                         <sequence>
                           <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
                           <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                           <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationunitType"/>
                           <element name="takes">
                             <complexType>
                               <complexContent>
                                 <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                   <sequence>
                                     <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
                                     <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                                   </sequence>
                                 </restriction>
                               </complexContent>
                             </complexType>
                           </element>
                         </sequence>
                         <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                       </choice>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="regimen" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence maxOccurs="unbounded">
                         <choice minOccurs="0">
                           <element name="daynumber" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
                           <element name="date" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}date"/>
                           <element name="weekday">
                             <complexType>
                               <complexContent>
                                 <extension base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}weekdayType">
                                   <sequence>
                                     <element name="weeknumber" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" minOccurs="0"/>
                                   </sequence>
                                 </extension>
                               </complexContent>
                             </complexType>
                           </element>
                         </choice>
                         <element name="daytime" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <choice>
                                   <element name="time" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}time"/>
                                   <element name="dayperiod" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dayperiodType"/>
                                 </choice>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationquantityType"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="deliverydate" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}date" minOccurs="0"/>
               <element name="renewal" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}renewalType" minOccurs="0"/>
               <element name="route" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}routeType" minOccurs="0"/>
               <element name="batch" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="instructionforoverdosing" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="instructionforpatient" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="instructionforreimbursement" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="instructionforpharmacist" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="issubstitutionallowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="feedback" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="reportrequested" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
                         <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="local" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}localitemattributeType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorType` | `getAuthor()` Gets the value of the author property.
    `String` | `getBatch()` Gets the value of the batch property.
    `MomentType` | `getBeginmoment()` Gets the value of the beginmoment property.
    `List<CDITEM>` | `getCds()` Gets the value of the cds property.
    `CertaintyType` | `getCertainty()` Gets the value of the certainty property.
    `ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
    `List<ContentType>` | `getContents()` Gets the value of the contents property.
    `CostType` | `getCost()` Gets the value of the cost property.
    `List<DayperiodType>` | `getDayperiods()` Gets the value of the dayperiods property.
    `org.joda.time.DateTime` | `getDeliverydate()` Gets the value of the deliverydate property.
    `DurationType` | `getDuration()` Gets the value of the duration property.
    `MomentType` | `getEndmoment()` Gets the value of the endmoment property.
    `Feedback` | `getFeedback()` Gets the value of the feedback property.
    `FrequencyType` | `getFrequency()` Gets the value of the frequency property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `TextType` | `getInstructionforoverdosing()` Gets the value of the instructionforoverdosing property.
    `TextType` | `getInstructionforpatient()` Gets the value of the instructionforpatient property.
    `TextType` | `getInstructionforpharmacist()` Gets the value of the instructionforpharmacist property.
    `TextType` | `getInstructionforreimbursement()` Gets the value of the instructionforreimbursement property.
    `LifecycleType` | `getLifecycle()` Gets the value of the lifecycle property.
    `List<LnkType>` | `getLnks()` Gets the value of the lnks property.
    `List<LocalitemattributeType>` | `getLocals()` Gets the value of the locals property.
    `Posology` | `getPosology()` Gets the value of the posology property.
    `QuantityType` | `getQuantity()` Gets the value of the quantity property.
    `org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
    `Regimen` | `getRegimen()` Gets the value of the regimen property.
    `RenewalType` | `getRenewal()` Gets the value of the renewal property.
    `RouteType` | `getRoute()` Gets the value of the route property.
    `SeverityType` | `getSeverity()` Gets the value of the severity property.
    `List<SiteType>` | `getSites()` Gets the value of the sites property.
    `StrengthType` | `getStrength()` Gets the value of the strength property.
    `TemporalityType` | `getTemporality()` Gets the value of the temporality property.
    `List<TextType>` | `getTexts()` Gets the value of the texts property.
    `UrgencyType` | `getUrgency()` Gets the value of the urgency property.
    `Boolean` | `isIscomplete()` Gets the value of the iscomplete property.
    `Boolean` | `isIsrelevant()` Gets the value of the isrelevant property.
    `Boolean` | `isIssubstitutionallowed()` Gets the value of the issubstitutionallowed property.
    `Boolean` | `isIsvalidated()` Gets the value of the isvalidated property.
    `void` | `setAuthor(AuthorType value)` Sets the value of the author property.
    `void` | `setBatch(String value)` Sets the value of the batch property.
    `void` | `setBeginmoment(MomentType value)` Sets the value of the beginmoment property.
    `void` | `setCertainty(CertaintyType value)` Sets the value of the certainty property.
    `void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.
    `void` | `setCost(CostType value)` Sets the value of the cost property.
    `void` | `setDeliverydate(org.joda.time.DateTime value)` Sets the value of the deliverydate property.
    `void` | `setDuration(DurationType value)` Sets the value of the duration property.
    `void` | `setEndmoment(MomentType value)` Sets the value of the endmoment property.
    `void` | `setFeedback(Feedback value)` Sets the value of the feedback property.
    `void` | `setFrequency(FrequencyType value)` Sets the value of the frequency property.
    `void` | `setInstructionforoverdosing(TextType value)` Sets the value of the instructionforoverdosing property.
    `void` | `setInstructionforpatient(TextType value)` Sets the value of the instructionforpatient property.
    `void` | `setInstructionforpharmacist(TextType value)` Sets the value of the instructionforpharmacist property.
    `void` | `setInstructionforreimbursement(TextType value)` Sets the value of the instructionforreimbursement property.
    `void` | `setIscomplete(Boolean value)` Sets the value of the iscomplete property.
    `void` | `setIsrelevant(Boolean value)` Sets the value of the isrelevant property.
    `void` | `setIssubstitutionallowed(Boolean value)` Sets the value of the issubstitutionallowed property.
    `void` | `setIsvalidated(Boolean value)` Sets the value of the isvalidated property.
    `void` | `setLifecycle(LifecycleType value)` Sets the value of the lifecycle property.
    `void` | `setPosology(Posology value)` Sets the value of the posology property.
    `void` | `setQuantity(QuantityType value)` Sets the value of the quantity property.
    `void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.
    `void` | `setRegimen(Regimen value)` Sets the value of the regimen property.
    `void` | `setRenewal(RenewalType value)` Sets the value of the renewal property.
    `void` | `setRoute(RouteType value)` Sets the value of the route property.
    `void` | `setSeverity(SeverityType value)` Sets the value of the severity property.
    `void` | `setStrength(StrengthType value)` Sets the value of the strength property.
    `void` | `setTemporality(TemporalityType value)` Sets the value of the temporality property.
    `void` | `setUrgency(UrgencyType value)` Sets the value of the urgency property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemType

          public ItemType()

  - ### Method Detail

    - #### getConfidentiality

          public ConfidentialityType getConfidentiality()

      Gets the value of the confidentiality property.
      Returns:
        possible object is `ConfidentialityType`

    - #### setConfidentiality

          public void setConfidentiality(ConfidentialityType value)

      Sets the value of the confidentiality property.
      Parameters:
        `value` - allowed object is `ConfidentialityType`

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getCds

          public List<CDITEM> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDITEM`

    - #### getContents

          public List<ContentType> getContents()

      Gets the value of the contents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the contents property.

      For example, to add a new item, do as follows:

              getContents().add(newItem);

      Objects of the following type(s) are allowed in the list `ContentType`

    - #### getTexts

          public List<TextType> getTexts()

      Gets the value of the texts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

      For example, to add a new item, do as follows:

              getTexts().add(newItem);

      Objects of the following type(s) are allowed in the list `TextType`

    - #### getAuthor

          public AuthorType getAuthor()

      Gets the value of the author property.
      Returns:
        possible object is `AuthorType`

    - #### setAuthor

          public void setAuthor(AuthorType value)

      Sets the value of the author property.
      Parameters:
        `value` - allowed object is `AuthorType`

    - #### getBeginmoment

          public MomentType getBeginmoment()

      Gets the value of the beginmoment property.
      Returns:
        possible object is `MomentType`

    - #### setBeginmoment

          public void setBeginmoment(MomentType value)

      Sets the value of the beginmoment property.
      Parameters:
        `value` - allowed object is `MomentType`

    - #### getEndmoment

          public MomentType getEndmoment()

      Gets the value of the endmoment property.
      Returns:
        possible object is `MomentType`

    - #### setEndmoment

          public void setEndmoment(MomentType value)

      Sets the value of the endmoment property.
      Parameters:
        `value` - allowed object is `MomentType`

    - #### isIscomplete

          public Boolean isIscomplete()

      Gets the value of the iscomplete property.
      Returns:
        possible object is `Boolean`

    - #### setIscomplete

          public void setIscomplete(Boolean value)

      Sets the value of the iscomplete property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isIsvalidated

          public Boolean isIsvalidated()

      Gets the value of the isvalidated property.
      Returns:
        possible object is `Boolean`

    - #### setIsvalidated

          public void setIsvalidated(Boolean value)

      Sets the value of the isvalidated property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getLifecycle

          public LifecycleType getLifecycle()

      Gets the value of the lifecycle property.
      Returns:
        possible object is `LifecycleType`

    - #### setLifecycle

          public void setLifecycle(LifecycleType value)

      Sets the value of the lifecycle property.
      Parameters:
        `value` - allowed object is `LifecycleType`

    - #### isIsrelevant

          public Boolean isIsrelevant()

      Gets the value of the isrelevant property.
      Returns:
        possible object is `Boolean`

    - #### setIsrelevant

          public void setIsrelevant(Boolean value)

      Sets the value of the isrelevant property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSeverity

          public SeverityType getSeverity()

      Gets the value of the severity property.
      Returns:
        possible object is `SeverityType`

    - #### setSeverity

          public void setSeverity(SeverityType value)

      Sets the value of the severity property.
      Parameters:
        `value` - allowed object is `SeverityType`

    - #### getCertainty

          public CertaintyType getCertainty()

      Gets the value of the certainty property.
      Returns:
        possible object is `CertaintyType`

    - #### setCertainty

          public void setCertainty(CertaintyType value)

      Sets the value of the certainty property.
      Parameters:
        `value` - allowed object is `CertaintyType`

    - #### getTemporality

          public TemporalityType getTemporality()

      Gets the value of the temporality property.
      Returns:
        possible object is `TemporalityType`

    - #### setTemporality

          public void setTemporality(TemporalityType value)

      Sets the value of the temporality property.
      Parameters:
        `value` - allowed object is `TemporalityType`

    - #### getUrgency

          public UrgencyType getUrgency()

      Gets the value of the urgency property.
      Returns:
        possible object is `UrgencyType`

    - #### setUrgency

          public void setUrgency(UrgencyType value)

      Sets the value of the urgency property.
      Parameters:
        `value` - allowed object is `UrgencyType`

    - #### getQuantity

          public QuantityType getQuantity()

      Gets the value of the quantity property.
      Returns:
        possible object is `QuantityType`

    - #### setQuantity

          public void setQuantity(QuantityType value)

      Sets the value of the quantity property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getStrength

          public StrengthType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `StrengthType`

    - #### setStrength

          public void setStrength(StrengthType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `StrengthType`

    - #### getFrequency

          public FrequencyType getFrequency()

      Gets the value of the frequency property.
      Returns:
        possible object is `FrequencyType`

    - #### setFrequency

          public void setFrequency(FrequencyType value)

      Sets the value of the frequency property.
      Parameters:
        `value` - allowed object is `FrequencyType`

    - #### getSites

          public List<SiteType> getSites()

      Gets the value of the sites property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sites property.

      For example, to add a new item, do as follows:

              getSites().add(newItem);

      Objects of the following type(s) are allowed in the list `SiteType`

    - #### getCost

          public CostType getCost()

      Gets the value of the cost property.
      Returns:
        possible object is `CostType`

    - #### setCost

          public void setCost(CostType value)

      Sets the value of the cost property.
      Parameters:
        `value` - allowed object is `CostType`

    - #### getDayperiods

          public List<DayperiodType> getDayperiods()

      Gets the value of the dayperiods property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dayperiods property.

      For example, to add a new item, do as follows:

              getDayperiods().add(newItem);

      Objects of the following type(s) are allowed in the list `DayperiodType`

    - #### getDuration

          public DurationType getDuration()

      Gets the value of the duration property.
      Returns:
        possible object is `DurationType`

    - #### setDuration

          public void setDuration(DurationType value)

      Sets the value of the duration property.
      Parameters:
        `value` - allowed object is `DurationType`

    - #### getPosology

          public Posology getPosology()

      Gets the value of the posology property.
      Returns:
        possible object is `Posology`

    - #### setPosology

          public void setPosology(Posology value)

      Sets the value of the posology property.
      Parameters:
        `value` - allowed object is `Posology`

    - #### getRegimen

          public Regimen getRegimen()

      Gets the value of the regimen property.
      Returns:
        possible object is `Regimen`

    - #### setRegimen

          public void setRegimen(Regimen value)

      Sets the value of the regimen property.
      Parameters:
        `value` - allowed object is `Regimen`

    - #### getDeliverydate

          public org.joda.time.DateTime getDeliverydate()

      Gets the value of the deliverydate property.
      Returns:
        possible object is `String`

    - #### setDeliverydate

          public void setDeliverydate(org.joda.time.DateTime value)

      Sets the value of the deliverydate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRenewal

          public RenewalType getRenewal()

      Gets the value of the renewal property.
      Returns:
        possible object is `RenewalType`

    - #### setRenewal

          public void setRenewal(RenewalType value)

      Sets the value of the renewal property.
      Parameters:
        `value` - allowed object is `RenewalType`

    - #### getRoute

          public RouteType getRoute()

      Gets the value of the route property.
      Returns:
        possible object is `RouteType`

    - #### setRoute

          public void setRoute(RouteType value)

      Sets the value of the route property.
      Parameters:
        `value` - allowed object is `RouteType`

    - #### getBatch

          public String getBatch()

      Gets the value of the batch property.
      Returns:
        possible object is `String`

    - #### setBatch

          public void setBatch(String value)

      Sets the value of the batch property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInstructionforoverdosing

          public TextType getInstructionforoverdosing()

      Gets the value of the instructionforoverdosing property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforoverdosing

          public void setInstructionforoverdosing(TextType value)

      Sets the value of the instructionforoverdosing property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInstructionforpatient

          public TextType getInstructionforpatient()

      Gets the value of the instructionforpatient property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforpatient

          public void setInstructionforpatient(TextType value)

      Sets the value of the instructionforpatient property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInstructionforreimbursement

          public TextType getInstructionforreimbursement()

      Gets the value of the instructionforreimbursement property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforreimbursement

          public void setInstructionforreimbursement(TextType value)

      Sets the value of the instructionforreimbursement property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInstructionforpharmacist

          public TextType getInstructionforpharmacist()

      Gets the value of the instructionforpharmacist property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforpharmacist

          public void setInstructionforpharmacist(TextType value)

      Sets the value of the instructionforpharmacist property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### isIssubstitutionallowed

          public Boolean isIssubstitutionallowed()

      Gets the value of the issubstitutionallowed property.
      Returns:
        possible object is `Boolean`

    - #### setIssubstitutionallowed

          public void setIssubstitutionallowed(Boolean value)

      Sets the value of the issubstitutionallowed property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getFeedback

          public Feedback getFeedback()

      Gets the value of the feedback property.
      Returns:
        possible object is `Feedback`

    - #### setFeedback

          public void setFeedback(Feedback value)

      Sets the value of the feedback property.
      Parameters:
        `value` - allowed object is `Feedback`

    - #### getLocals

          public List<LocalitemattributeType> getLocals()

      Gets the value of the locals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the locals property.

      For example, to add a new item, do as follows:

              getLocals().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalitemattributeType`

    - #### getRecorddatetime

          public org.joda.time.DateTime getRecorddatetime()

      Gets the value of the recorddatetime property.
      Returns:
        possible object is `String`

    - #### setRecorddatetime

          public void setRecorddatetime(org.joda.time.DateTime value)

      Sets the value of the recorddatetime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLnks

          public List<LnkType> getLnks()

      Gets the value of the lnks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnks property.

      For example, to add a new item, do as follows:

              getLnks().add(newItem);

      Objects of the following type(s) are allowed in the list `LnkType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.